# Module `timer`

awesome timer API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou

## Functions

start () | Start the timer.
stop () | Stop the timer.
connect_signal (name, func) | Add a signal.
disconnect_signal (name, func) | Remove a signal.
emit_signal (name, ...) | Emit a signal.
instances () | Get the number of instances.

## Tables

timer | Timer object.

## Functions

start ()
  Start the timer.
stop ()
  Stop the timer.
connect_signal (name, func)
  Add a signal.

  ### Parameters:

  - name A signal name.
  - func A function to call when the signal is emitted.
disconnect_signal (name, func)
  Remove a signal.

  ### Parameters:

  - name A signal name.
  - func A function to remove.
emit_signal (name, ...)
  Emit a signal.

  ### Parameters:

  - name A signal name.
  - ... Various arguments, optional.
instances ()
  Get the number of instances.

  ### Returns:

  The number of timer objects alive.

## Tables

timer
  Timer object. This type of object is useful when triggering events in a repeatedly. The timer will emit the "timeout" signal every N seconds, N being the timeout value.

  ### Fields:

  - timeout Interval in seconds to emit the timeout signal. Can be any value, including floating ones (i.e. 1.5 second).
  - started Read-only boolean field indicating if the timer has been started.

generated by LDoc 1.3